Skip to content

Search for potential duplicates in the portal

Request

This method searches for potential duplicates and returns masked validation options

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The data you would like to try to check for duplicates

email_addressstring(Email Address)

The email address to search for matches

first_namestring(First Name)

The contact's first name

last_namestring(Last Name)

The contact's last name

minimum_confidencenumber, (float)(Minimum Confidence)

The minimum degree of confidence on a scale of 1 to 100 that you would like considered a potential duplicate

postal_codestring(Postal Code)

The postal code to search for matches

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contactDuplicates/{tenantId}/portal' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "email_address": "string",
    "first_name": "string",
    "last_name": "string",
    "minimum_confidence": 0.1,
    "postal_code": "string"
  }'

Responses

Potential duplicates were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
idstring(ID)^[\w|-]+$required

The unique, string identifier of this contact

locationobject(Location)

Information off this contact's preferred address masked for data protection

masked_email_addressesArray of objects

Email addresses related to this contact masked for data protection

masked_phone_numbersArray of objects

Phone numbers related to this contact masked for data protection

namestring(Name)required

The name of the matched contact

organization_namestring(Organization Name)

The name of the organization this contact is related to

]
Response
[ { "id": "string", "location": { … }, "masked_email_addresses": [ … ], "masked_phone_numbers": [ … ], "name": "string", "organization_name": "string" } ]